Page MenuHomePhabricator

PDFs – find out what works well, what's lacking and what's less prioritised
Closed, ResolvedPublic

Description

We are currently using OCG to render PDFs of pages on Wikimedia wikis, but OCG is broken and becoming more and more difficult to maintain and might have to be replaced. We should talk to the communities and editors who use PDFs to figure out what has worked well and what hasn't, and gather information about what features should be kept, what's not important and what we could, if possible, try to add.

We will

  • Set up a page for discussion
  • Get banners showing people there

This will hopefully be done during May.

Event Timeline

Johan created this task.Mar 17 2017, 12:10 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 17 2017, 12:10 PM
Tinss added a subscriber: Tinss.Mar 17 2017, 6:01 PM
Johan updated the task description. (Show Details)May 8 2017, 11:35 AM
Qgil added a comment.Jun 7 2017, 7:09 AM

It may or may not be too late, but I was thinking that a simple patch in the right place (the affected extension(s) would allow to show a banner to users when they are creating a PDF or a collection. The patch would be reverted when the call for feedback is closed.

This is basically what we're doing. (:

The banner is up and running.

Johan updated the task description. (Show Details)EditedJun 14 2017, 2:56 PM

We'll go through all posts and summarise it to be reported back to the communities June 28 (summarising it, that is – actually posting might be a couple of days later).

Johan added a comment.Jul 5 2017, 10:15 AM

We're basically ready to summarise the discussion and get back to those interested in this, but this is taking longer time than planned so that we can include the backend decision, so we have proper information on how we'll be going forward.

We have a summary of the discussion here with the updates made from the consultation: https://www.mediawiki.org/wiki/Reading/Web/PDF_Functionality#Update_After_Consultation

I think we can close this and open a new task for the announcements on the backend decision and rollout dates

Johan added a comment.Jul 5 2017, 11:10 AM

OK, that makes sense. (:

Johan closed this task as Resolved.Jul 5 2017, 11:10 AM
Johan moved this task from Backlog to Archive on the User-Johan board.Jul 26 2017, 3:23 AM